### Goals
- The trainee will understand the steps required to boot a system
- The trainee will be familiar with Linux's bootloader

### Tasks
- What is the **POST** stage and why is it needed?
- What are the differences between **BIOS** and **UEFI**?
- Explain what is **grub2**, how does it work and how can you add or edit paramers it has?
- Explain what are **initrd**, `dracut` and **initramfs** and why do we need them when booting?
- What does the /boot/ directory holds? explain each file (and directory)
- What is **single user mode**?
- Start your computer with single user mode and change the root password
- Describe all the steps for booting a system (in your answer refer to both **MBR** and **GPT**)
- In this stage ask your trainer to do exercise for the boot process